> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/help-center/getting-started/proxies-integrations-with-third-party-tools.md).

# Proxies integrations with third-party tools

Find integration guides and configuration steps for using Oxylabs proxies with third-party tools.

There are plenty of third-party applications that you can use with Oxylabs proxies. Hence, we’ve outlined the steps for the most popular ones.

### Residential Proxies <a href="#h_9392fe0183" id="h_9392fe0183"></a>

Refer to the [Residential Proxies integrations](https://app.gitbook.com/s/U4lV7kLC2Df45W0aLQlX/proxy-integrations/residential-proxies-guides) page to find configuration steps with different third-party tools. If you’re just starting out with Residential Proxies, see the [quick start guide](https://oxylabs.io/blog/residential-proxies-quick-start-guide) for a general overview.

### Mobile Proxies <a href="#h_8bfda4a9a5" id="h_8bfda4a9a5"></a>

Visit the [Mobile Proxies integrations](https://app.gitbook.com/s/U4lV7kLC2Df45W0aLQlX/proxy-integrations/mobile-proxies-guides) page for setup steps with popular tools. For a general overview of how to start using Mobile Proxies, take a look at the [quick start guide](https://oxylabs.io/blog/mobile-proxies-quick-start-guide).

### ISP Proxies <a href="#h_fdb265a7df" id="h_fdb265a7df"></a>

Refer to the [ISP Proxies integration](https://app.gitbook.com/s/U4lV7kLC2Df45W0aLQlX/proxy-integrations/isp-proxies-guides) page for detailed configuration steps with popular third-party tools. For a clearer picture of how ISP Proxies work, check our [quick start guide](https://oxylabs.io/blog/isp-proxies-quick-start-guide) for setup and implementation.

### Dedicated ISP Proxies <a href="#h_fdb265a7df" id="h_fdb265a7df"></a>

Refer to the[ Dedicated ISP Proxies integration](https://app.gitbook.com/s/U4lV7kLC2Df45W0aLQlX/proxy-integrations/dedicated-isp-proxies-guides) page for detailed configuration steps with popular third-party tools. For those new to Dedicated ISP Proxies, our [quick start guide](https://oxylabs.io/blog/dedicated-isp-proxies-quick-start-guide) offers an overview of setup and implementation.

### Dedicated Datacenter Proxies <a href="#h_2632d39070" id="h_2632d39070"></a>

### Enterprise <a href="#h_b831792cd9" id="h_b831792cd9"></a>

Head to the [Enterprise Dedicated Datacenter Proxies integrations](https://app.gitbook.com/s/U4lV7kLC2Df45W0aLQlX/proxy-integrations/dedicated-datacenter-proxies-guides/enterprise) page to see specific steps for integrating third-party tools. In case you’ve just made a purchase, you may find the [quick start guide](https://oxylabs.io/blog/datacenter-proxies-quick-start-guide) helpful for a hassle-free start.

### Self-Service <a href="#h_f939f96d16" id="h_f939f96d16"></a>

Refer to the [Self-Service Dedicated Datacenter Proxies integrations](https://app.gitbook.com/s/U4lV7kLC2Df45W0aLQlX/proxy-integrations/dedicated-datacenter-proxies-guides/self-service) page for step-by-step tutorials with popular tools. For a general overview of how to start using Self-Service Dedicated Datacenter Proxies, see the [quick start guide](https://oxylabs.io/blog/self-service-datacenter-proxies-quick-start-guide).

### Datacenter Proxies per IP <a href="#h_fc39192ea7" id="h_fc39192ea7"></a>

Go to the [Datacenter Proxies integrations](https://app.gitbook.com/s/U4lV7kLC2Df45W0aLQlX/proxy-integrations/datacenter-proxies-guides) page for detailed configuration instructions for the most popular third-party solutions. If you have recently purchased proxies and want to begin using them, you can follow the [quick start guide](https://oxylabs.io/blog/datacenter-proxies-quick-start-guide-gb-ip).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/help-center/getting-started/proxies-integrations-with-third-party-tools.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
